﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Data;
using Syncfusion.Data.Extensions;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.Windows.Shared;
using Syncfusion.SfSkinManager;
using System.Collections.ObjectModel;

namespace WpfTestingSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    /// 
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.datagrid.FilterChanged += datagrid_FilterChanged;   
        }
     
        void datagrid_FilterChanged(object sender, GridFilterEventArgs e)
        {
            if (e.FilterPredicates != null && e.FilterPredicates.Count > 0)
                e.Column.HeaderStyle = App.Current.FindResource("headerStyle") as Style;
            else
                e.Column.HeaderStyle = new Style();         
        }
        
    }
}